### Hierarchy

- AbstractUIMenuPanel
  - UIMenuGridPanel
  - UIMenuColorPanel
  - UIMenuPercentagePanel
  - UIMenuStatisticsPanel

## Index

### Constructors

- constructor

### Properties

- background
- enabled
- id
- parentItem

### Accessors

- Enabled
- Height
- ParentItem
- ParentMenu

### Methods

- draw
- setVerticalPosition

## Constructors

### constructor

- new AbstractUIMenuPanel(): AbstractUIMenuPanel

- #### Returns AbstractUIMenuPanel

## Properties

### Protected Readonly background

background: undefined | Rectangle | Sprite

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:12

### Protected enabled

enabled: boolean = true

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:10

### Readonly id

id: string = ...

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:7

### Protected parentItem

parentItem: undefined | UIMenuItem

- Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:9

## Accessors

### Enabled

- get Enabled(): boolean
- set Enabled(value: boolean): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:26

  #### Returns boolean

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:30

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Height

- get Height(): number

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:34

  #### Returns number

### ParentItem

- get ParentItem(): undefined | UIMenuItem
- set ParentItem(value: undefined | UIMenuItem): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:18

  #### Returns undefined | UIMenuItem

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:22

  #### Parameters

  - ##### value: undefined | UIMenuItem

  #### Returns void

### ParentMenu

- get ParentMenu(): undefined | Menu

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:14

  #### Returns undefined | Menu

## Methods

### draw

- draw(): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:42

  #### Returns void

### setVerticalPosition

- setVerticalPosition(y: number): void

- - Defined in ui/menu/items/panels/AbstractUIMenuPanel.ts:38

  #### Parameters

  - ##### y: number

  #### Returns void

Generated using TypeDoc